# $Revision: 1.56.2.2 $, $Date: 2006/08/06 19:30:26 $
Summary:	An image viewer and browser for GNOME
Summary(pl):	Przegldarka obrazkw dla GNOME
Name:		gthumb
Version:	2.7.8
Release:	1
License:	GPL v2
Vendor:		GNOME
Group:		X11/Applications/Graphics
Source0:	http://ftp.gnome.org/pub/gnome/sources/gthumb/2.7/%{name}-%{version}.tar.bz2
# Source0-md5:	fa5634b5f7fcd5b50dd88fa6036a0042
Patch0:		%{name}-desktop.patch
URL:		http://gthumb.sourceforge.net/
BuildRequires:	GConf2-devel
BuildRequires:	ORBit2-devel
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	gnome-common >= 2.8.0-2
BuildRequires:	gnome-vfs2-devel >= 2.10.0-2
BuildRequires:	gtk+2-devel >= 2:2.4.0
BuildRequires:	intltool >= 0.21
BuildRequires:	libexif-devel >= 1:0.6.9
BuildRequires:	libglade2-devel >= 1:2.4.0
BuildRequires:	libgnomeprintui-devel >= 2.6.0
BuildRequires:	libgnomeui-devel >= 2.10.0-2
BuildRequires:	libgphoto2-devel >= 2.1.3
BuildRequires:	libiptcdata-devel >= 0.2.1
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.4.0
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	scrollkeeper
BuildRequires:	sed >= 4.0
Requires(post,preun):	GConf2
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	scrollkeeper
Requires:	gtk+2 >= 2:2.4.0
Requires:	hicolor-icon-theme
Requires:	libbonobo >= 2.6.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gThumb lets you browse your hard disk, showing you thumbnails of image
files. It also lets you view single files (including GIF animations),
add comments to images, organize images in catalogs, print images,
view slideshows, set your desktop background, and more.

%description -l pl
gThumb pozwala na przegldanie twardego dysku z pokazywaniem
miniaturek plikw z obrazkami. Pozwala take oglda pojedyncze pliki
(w tym animacje GIF), dodawa komentarze do obrazkw, ukada obrazki
w katalogi, drukowa obrazki, oglda slajdy, ustawia to biurka itd.

%prep
%setup -q
%patch0 -p1

%build
%{__gnome_doc_common}
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--disable-schemas-install
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/%{name}/*.{a,la}
rm $RPM_BUILD_ROOT%{_libdir}/%{name}/modules/*.{a,la}
rm -rf $RPM_BUILD_ROOT%{_datadir}/application-registry

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install gthumb.schemas
%scrollkeeper_update_post
%update_desktop_database_post
%update_icon_cache hicolor

%preun
%gconf_schema_uninstall gthumb.schemas

%postun
%scrollkeeper_update_postun
%update_desktop_database_postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/%{name}-image-viewer
%attr(755,root,root) %{_libdir}/%{name}-catalog-view
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/modules
%attr(755,root,root) %{_libdir}/%{name}/lib*.so
%attr(755,root,root) %{_libdir}/%{name}/modules/*.so
%{_libdir}/bonobo/servers/*.server
%{_datadir}/gnome-2.0/ui/*.xml
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_omf_dest_dir}/%{name}
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_iconsdir}/hicolor/*/apps/*png
%{_desktopdir}/%{name}.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gthumb.spec,v $
Revision 1.56.2.2  2006/08/06 19:30:26  freetz
- borrowed from HEAD

Revision 1.56.2.1  2006/05/18 23:30:42  baggins
- 2.6.9

Revision 1.57  2006/02/27 18:28:42  maciek2w
- updated to 2.6.9
- STBR

Revision 1.56  2006/01/12 22:03:58  freetz
- rel.3

Revision 1.55  2005/10/30 12:21:12  arekm
- rel 2

Revision 1.54  2005/09/21 13:15:47  freetz
- 2.6.8

Revision 1.53  2005/08/30 14:42:43  aflinta
- 2.6.7

Revision 1.52  2005/08/09 13:09:14  paladine
- missing BR: scrollkeeper

Revision 1.51  2005/06/27 08:59:25  freetz
- 2.6.6

Revision 1.50  2005/04/22 19:43:02  freetz
- 2.6.5

Revision 1.49  2005/04/18 13:40:38  paladine
- BR: rpmbuild(macros) >= 1.197

Revision 1.48  2005/04/12 18:15:24  freetz
- cosmetics

Revision 1.47  2005/04/12 18:11:17  freetz
- new style macros, killed obsolete applications-registry dir, rel.3

Revision 1.46  2005/04/12 17:51:59  freetz
- new style macros, rel.3

Revision 1.45  2005/03/22 12:36:34  aflinta
- rebuild with howl 0.9.10, release 2

Revision 1.44  2005/03/15 08:48:07  aflinta
- up to version 2.6.4

Revision 1.43  2005/01/25 12:01:39  paladine
- updated to 2.6.3
- proper license
- STBR

Revision 1.42  2005/01/14 16:10:15  darekr
- BR: sed 4.0

Revision 1.41  2004/12/06 18:26:52  freetz
- disable scrollkeeper-install in install time, BR: gnome-common-2.8.0-2
  rel.2, one more time STBR

Revision 1.40  2004/12/06 17:44:27  freetz
- 2.6.2, STBR

Revision 1.39  2004/11/21 12:43:38  freetz
- 2.6.1, STBR

Revision 1.38  2004/10/21 18:56:56  aflinta
- up to version 2.6.0.1

Revision 1.37  2004/10/18 16:06:11  freetz
- merged to HEAD, one more time STBR

Revision 1.33.2.5  2004/10/18 15:35:03  freetz
- 2.6.0, STBR

Revision 1.33.2.4  2004/09/29 14:44:07  grzegol
- updated to 2.5.2

Revision 1.33.2.3  2004/09/15 18:24:37  grzegol
- in gnome-common-2.8.0 all macros are in %%{_aclocaldir}, not in
  %%{_aclocaldir}/gnome2-macros, so remove -I %%{_aclocal}/gnome2-macros from
  %%{__aclocal} args and BR: gnome-common >= 2.8.0

Revision 1.33.2.2  2004/09/13 21:57:10  grzegol
- updated to 2.5.1
- removed ocale-names patch and remove no locale in %%install
- run /usr/bin/update-desktop-database in %%post and %%postun

Revision 1.33.2.1  2004/09/01 13:17:40  grzegol
- updated to 2.5.0
- attr 755 for *.so files

Revision 1.33  2004/07/23 21:34:40  ankry
- fixed Categories

Revision 1.32  2004/07/12 09:21:20  ankry
- fixed epoch issues for libexif/libpcd

Revision 1.31  2004/06/30 21:14:21  freetz
- 2.4.1, according to author it should build with old libexif too
- desktop patch already included

Revision 1.30  2004/06/12 10:07:55  freetz
- desktop patch added (add Viewer to Categories)

Revision 1.29  2004/05/29 15:35:19  freetz
- 2.4.0
- locale names patch added
- BR lockdev-devel moved to right place
- small cleanup (unused BR, unused macros removed)
- url changed to SF.net

Revision 1.28  2004/04/25 11:49:09  freetz
- 2.3.3

Revision 1.27  2004/04/21 09:41:08  aflinta
- added BR: lockdev-devel

Revision 1.26  2004/03/23 13:28:55  grzegol
- merged from DEVEL

Revision 1.25.2.2  2004/03/22 23:38:22  freetz
- 2.3.2

Revision 1.25.2.1  2004/03/11 12:38:59  freetz
- 2.3.1

Revision 1.25  2003/11/18 13:37:42  grzegol
- updated to 2.1.9

Revision 1.24  2003/11/02 21:53:15  grzegol
- updated to 2.1.8
- more BRs

Revision 1.23  2003/10/31 14:05:29  qboosh
- BR: gnome-common (used in aclocal call)

Revision 1.22  2003/10/14 06:22:59  trojan
- updated to 2.1.7

Revision 1.21  2003/09/01 02:39:18  aflinta
- version 2.1.6

Revision 1.20  2003/08/20 15:11:51  qboosh
- no // in paths, other cosmetics

Revision 1.19  2003/08/19 06:15:38  trojan
- updated to 2.1.5

Revision 1.18  2003/08/18 08:08:10  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.17  2003/08/10 22:10:08  aflinta
- version 2.1.4

Revision 1.16  2003/08/05 11:59:02  grzegol
- rel++ to rebuild without linc
- cosmetics/sorting/simplifications/etc.

Revision 1.15  2003/07/07 14:49:25  freetz
- up to 2.1.3 version
- BR cleanups
- sorted files section

Revision 1.14  2003/05/27 08:44:24  trojan
- added Source-md5

Revision 1.13  2003/05/25 05:48:29  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/05/12 21:45:50  aflinta
- release 2, fixed permissions

Revision 1.11  2003/05/05 14:05:15  qboosh
- BR: ac,am,lt,it

Revision 1.10  2003/05/04 16:29:31  aflinta
- version 2.1.2

Revision 1.9  2003/03/16 19:28:49  aflinta
- updated to version 2.1.1

Revision 1.8  2003/03/03 09:46:00  qboosh
- Requires(post): scrollkeeper,GConf2

Revision 1.7  2003/03/01 17:34:48  aflinta
- updated to version 2.1.0

Revision 1.6  2003/01/18 22:50:08  juandon
- removed two lines with define

Revision 1.5  2002/10/29 18:54:33  aflinta
- rebuild against bonobo-activation 2.1.0, release up

Revision 1.4  2002/10/07 08:11:48  qboosh
- simplified post/postun, added missing dirs, removed COPYING from doc (GPL)

Revision 1.3  2002/10/06 17:03:15  aflinta
- added md5 patch
- updated %files
- release 1

Revision 1.2  2002/10/06 13:15:37  qboosh
- pl description, partial cleanup in files

Revision 1.1  2002/10/02 22:20:50  grzegorz
- new spec
- image viewer for Gnome2
